# -*- coding: utf-8 -*-
# Generated by Django 1.11.6 on 2017-11-30 04:58
from __future__ import unicode_literals

from django.db import migrations, models
from django.db.backends.postgresql_psycopg2.schema import DatabaseSchemaEditor
from django.db.migrations.state import StateApps

def remove_prereg_users_without_realm(
        apps: StateApps, schema_editor: DatabaseSchemaEditor) -> None:
    prereg_model = apps.get_model("zerver", "PreregistrationUser")
    prereg_model.objects.filter(realm=None, realm_creation=False).delete()

class Migration(migrations.Migration):

    dependencies = [
        ('zerver', '0125_realm_max_invites'),
    ]

    operations = [
        migrations.RunPython(remove_prereg_users_without_realm,
                             reverse_code=migrations.RunPython.noop),
    ]
